### Name: area.plot
### Title: Graphical Display of Areas
### Aliases: area.plot poly2area area2poly area2link area.util.contour
###   area.util.xy area.util.class
### Keywords: hplot

### ** Examples

data(elec88)
par(mfrow = c(2,2))
area.plot(elec88$area, cpoint = 1)
area.plot(elec88$area, lab = elec88$lab$dep, clab = 0.75)
area.plot(elec88$area, clab = 0.75)
# elec88$neig <- neig(area = elec88$area)
area.plot(elec88$area, graph = elec88$neig, 
sub = "Neighbourhood graph", possub = "topright")
par(mfrow = c(1,1))

## Not run: 
##D par(mfrow = c(3,3))
##D for (i in 1:9) {
##D     x <- elec88$tab[,i]
##D     area.plot(elec88$area, val=x,
##D     sub = names(elec88$tab)[i], csub = 3, cleg = 1.5)
##D }
##D 
##D par(mfrow = c(3,3))
##D for (i in 1:9) {
##D     x <- elec88$tab[,i]
##D     s.value(elec88$xy, elec88$tab[,i], contour = elec88$contour,
##D     meth = "greylevel", sub = names(elec88$tab)[i], csub = 3, 
##D     cleg = 1.5, incl = FALSE)
##D }
##D 
##D data(irishdata)
##D par(mfrow = c(2,2))
##D w <- area.util.contour(irishdata$area)
##D xy <- area.util.xy(irishdata$area)
##D area.plot(irishdata$area, cpoint = 1)
##D apply(w, 1, function(x) segments(x[1],x[2],x[3],x[4], lwd = 3))
##D area.plot(irishdata$area, clabel = 1)
##D s.label(xy, area = irishdata$area, incl = FALSE, clab = 0, 
##D cpoi = 3, addax = FALSE, contour = w)
##D s.label(xy, area = irishdata$area, incl = FALSE, 
##D addax = FALSE, contour = w)
##D if (require(maptools, quiet = TRUE) & require(spdep, quiet = TRUE)) {
##D     data(columbus)
##D     par(mfrow = c(2,2))
##D     plot(col.gal.nb, coords, pch = 20, cex = 2)
##D     col.gal.neig <- nb2neig(col.gal.nb)
##D     s.label(data.frame(coords), neig = col.gal.neig,
##D     inc = FALSE, addax = FALSE, clab = 0, cneig = 1, cpo = 2)
##D      plot.polylist(polys,bbs)
##D     area.plot(poly2area(polys))
##D 
##D     # 1
##D     crime.f <- as.ordered(cut(columbus$CRIME,
##D     breaks = quantile(columbus$CRIME, probs = seq(0,1,0.2)),
##D     include.lowest = TRUE))
##D     colours <- c("salmon1", "salmon2", "red3", "brown", "black")
##D     plot(bbs[,1], bbs[,4], xlab = "", ylab = "", asp = 1, type = "n",
##D     xlim = range(c(bbs[,1], bbs[,3])), ylim = range(c(bbs[,2],
##D      bbs[,4])))
##D     for (i in 1:length(polys)) 
##D     polygon(polys[[i]], col = colours[unclass(crime.f[i])])
##D     legend(x = c(6, 7.75), y = c(13.5, 15), legend = levels(crime.f),
##D     fill = colours, cex = 0.7)
##D     title(sub = paste("Columbus OH: residential burglaries and ",
##D     "vehicle\nthefts", "per thousand households, 1980"))
##D     
##D     # 2
##D     area1 <- poly2area(polys)
##D     w <- area.util.contour(area1)
##D     wxy <- area.util.xy(area1)
##D     area.plot(area1, values = columbus$CRIME, sub = paste("Columbus ",
##D     "OH: residential burglaries and vehicle\nthefts",
##D     "per thousand households, 1980"))
##D     apply(w, 1, function(x) segments(x[1], x[2], x[3], x[4], lwd = 2))
##D 
##D     # 3
##D     data(elec88)
##D     fr.area <- elec88$area
##D     fr.xy <- area.util.xy(fr.area)
##D     fr.neig <- elec88$neig # neig(area = fr.area)
##D 
##D     # 4
##D     fr.poly <- area2poly(fr.area)
##D     fr.nb <- neig2nb(fr.neig)
##D     plot.polylist(fr.poly, attr(fr.poly, "region.rect"), border = "grey")
##D     plot(fr.nb, fr.xy, add = TRUE)
##D     s.label(fr.xy, clab = 0, area = fr.area, neig = fr.neig, 
##D     cneig = 1, cpo = 2, inc = FALSE, addax = FALSE)
##D par(mfrow=c(1,1))
##D }
## End(Not run)

data(irishdata)
w <- irishdata$area[c(42:53,18:25),]
w
w$poly <- as.factor(as.character(w$poly))
area.plot(w, clab = 2)
 
points(68, 59, pch = 20, col = "red", cex = 3)
points(68, 35, pch = 20, col = "red", cex = 3)
points(45, 12, pch = 20, col = "red", cex = 3)
sqrt((59-35)^2)+sqrt((68-45)^2+(35-12)^2)
area2link(w)



