### Name: ecomor
### Title: Ecomorphological Convergence
### Aliases: ecomor
### Keywords: datasets

### ** Examples

data(ecomor)
ric <- apply(ecomor$habitat, 2, sum)
s.corcircle(dudi.pca(log(ecomor$morpho), scan = FALSE)$co)

forsub <- data.frame(t(apply(ecomor$forsub, 1,
     function (x) x/sum(x))))
pca1 <- dudi.pca(forsub, scan = FALSE, scale = FALSE)
s.arrow(pca1$c1)
w <- as.matrix(forsub)
s.label(w, clab = 0, add.p = TRUE, cpoi = 2)

diet <- data.frame(t(apply(ecomor$diet, 1,
     function (x) x/sum(x))))
pca2 <- dudi.pca(diet, scan = FALSE, scale = FALSE)
s.arrow(pca2$c1)
w <- as.matrix(diet)
s.label(w, clab = 0, add.p = TRUE, cpoi = 2)
## Not run: 
##D dmorpho <- dist.quant(log(ecomor$morpho), 3)
##D dhabitat <- dist.binary(ecomor$habitat, 1)
##D 
##D mantel.randtest(dmorpho, dhabitat)
##D RV.rtest(pcoscaled(dmorpho), pcoscaled(dhabitat), 999)
##D procuste.randtest(pcoscaled(dmorpho), pcoscaled(dhabitat))
##D 
##D ecophy <- taxo2phylog(ecomor$taxo)
##D table.phylog(ecomor$habitat, ecophy, clabel.n = 0.5, f = 0.6,
##D      clabel.c = 0.75, clabel.r = 0.5, csi = 0.75, cleg = 0)
##D plot.phylog(ecophy, clabel.n = 0.75, clabel.l = 0.75,
##D      labels.l = ecomor$labels[,"latin"])
##D dtaxo <- ecophy$Wdist
##D mantel.randtest(dmorpho, dtaxo)
##D mantel.randtest(dhabitat, dtaxo)
## End(Not run)


