### Name: julliot
### Title: Seed dispersal
### Aliases: julliot
### Keywords: datasets

### ** Examples

data(julliot)
par(mfrow = c(3,3))
## Not run: 
##D for(k in 1:7)
##D     area.plot(julliot$area,val = log(julliot$tab[,k]+1),
##D      sub = names(julliot$tab)[k], csub = 2.5)
## End(Not run)

if (require(splancs, quiet = TRUE)){
    par(mfrow = c(3,3))
    for(k in 1:7)
      s.image(julliot$xy, log(julliot$tab[,k]+1), kgrid = 3, span = 0.25,
      sub = names(julliot$tab)[k], csub = 2.5)
}

## Not run: 
##D par(mfrow = c(3,3))
##D for(k in 1:7) {
##D     area.plot(julliot$area)
##D     s.value(julliot$xy, scalewt(log(julliot$tab[,k]+1)),
##D      sub = names(julliot$tab)[k],csub = 2.5, add.p = TRUE)
##D }
## End(Not run)
par(mfrow = c(3,3))
for(k in 1:7)
    s.value(julliot$xy,log(julliot$tab[,k]+1),
     sub = names(julliot$tab)[k], csub = 2.5)

## Not run: 
##D if (require(spdep, quiet = TRUE)){
##D par(mfrow = c(1,1))
##D neig0 <- nb2neig(dnearneigh(as.matrix(julliot$xy), 1, 1.8))
##D s.label(julliot$xy, neig = neig0, clab = 0.75, incl = FALSE,
##D  addax = FALSE, grid = FALSE)
##D 
##D gearymoran(neig.util.LtoG(neig0), log(julliot$tab+1))
##D orthogram(log(julliot$tab[,3]+1), ortho = scores.neig(neig0),
##D  nrepet = 9999)}
## End(Not run)


