### Name: kcponds
### Title: Ponds in a nature reserve
### Aliases: kcponds
### Keywords: datasets

### ** Examples

data(kcponds)

par(mfrow=c(3,1))
area.plot(kcponds$area)
s.label(kcponds$xy,add.p = TRUE, cpoi = 2, clab = 0)
s.label(kcponds$xy,add.p = TRUE, cpoi = 3, clab = 0)
s.label(kcponds$xy,add.p = TRUE, cpoi = 0, clab = 0,
     neig = kcponds$neig, cneig = 1)
area.plot(kcponds$area)
s.label(kcponds$xy, add.p = TRUE, clab = 1.5)
w <- as.numeric(scalewt(kcponds$tab$N))
s.value(kcponds$xy, w, cleg = 2, sub = "Nitrogen concentration",
     csub = 4, possub = "topright", include = FALSE)
par(mfrow = c(1,1))
## Not run: 
##D par(mfrow=c(3,1))
##D pca1 <- dudi.pca(kcponds$tab, scan = FALSE, nf = 4)
##D if (require(maptools, quiet = TRUE) & require(spdep, quiet = TRUE)) {
##D multi1 <- multispati(pca1, nb2listw(neig2nb(kcponds$neig)),
##D      scan = FALSE, nfposi = 2, nfnega = 1)
##D summary(multi1)}
##D par(mfrow = c(1,1))
## End(Not run)



