### Name: mafragh
### Title: Phyto-Ecological Survey
### Aliases: mafragh
### Keywords: datasets

### ** Examples

data(mafragh)
par(mfrow = c(3,2))
s.label(mafragh$xy, inc = FALSE, neig = mafragh$neig, 
    sub = "Samples & Neighbourhood graph")
coa1 <- dudi.coa(mafragh$flo, scan = FALSE)
s.value(mafragh$xy, coa1$li[,1], sub = "Axis 1 - COA")
pca1 <- dudi.pca(mafragh$xy, scan = FALSE)
s.value(mafragh$xy, pca1$li[,1], sub = "Axis 1 - PCA")
s.class(pca1$li, mafragh$partition, sub = "Plane 1-2 - PCA")
s.class(coa1$li, mafragh$partition, sub = "Plane 1-2 - COA")
s.chull(mafragh$xy, mafragh$partition, optchull = 1)
par(mfrow=c(1,1))

## Not run: 
##D link1 <- area2link(mafragh$area)
##D neig1 <- neig(mat01 = 1*(link1>0))
##D nb1 <- neig2nb(neig1)
##D par(mfrow = c(2,1))
##D area.plot(mafragh$area,center = mafragh$xy,clab=0.75)
##D area.plot(mafragh$area,center = mafragh$xy,graph=neig1)
##D if (require(maptools, quiet = TRUE) & require(spdep, quiet = TRUE)) {
##D     lw1 <- apply(link1,1,function(x) x[x>0])
##D     listw1 <- nb2listw(nb1,lw1)
##D     coa1 <- dudi.coa(mafragh$flo, scan = FALSE, nf = 4)
##D     ms1 <- multispati(coa1, listw1, scan = FALSE, nfp = 2, nfn = 0)
##D     summary(ms1)
##D     par(mfrow = c(2,2))
##D     barplot(coa1$eig)
##D     barplot(ms1$eig)
##D     s.corcircle(ms1$as)
##D     plot(coa1$li[,1], ms1$li[,1])
##D }
##D par(mfrow = c(1,1))
## End(Not run)


