### Name: multispati
### Title: Multivariate spatial analysis
### Aliases: multispati plot.multispati summary.multispati print.multispati
### Keywords: multivariate spatial

### ** Examples

## Not run: 
##D if (require(maptools, quiet = TRUE) & require(spdep, quiet = TRUE)) {
##D     data(mafragh)
##D     maf.xy <- mafragh$xy
##D     maf.flo <- mafragh$flo
##D     maf.listw <- nb2listw(neig2nb(mafragh$neig))
##D     s.label(maf.xy, neig = mafragh$neig, clab = 0.75)
##D     maf.coa <- dudi.coa(maf.flo,scannf = FALSE)
##D     maf.coa.ms <- multispati(maf.coa, maf.listw, scannf = FALSE, nfposi = 2, 
##D         nfnega = 2)
##D     summary(maf.coa.ms)
##D     par(mfrow = c(1,3))
##D     barplot(maf.coa$eig)
##D     barplot(maf.coa.ms$eig) 
##D     s.corcircle(maf.coa.ms$as)
##D  
##D     par(mfrow = c(2,2))
##D     s.value(maf.xy, -maf.coa$li[,1])
##D     s.value(maf.xy, -maf.coa$li[,2])
##D     s.value(maf.xy, maf.coa.ms$li[,1])
##D     s.value(maf.xy, maf.coa.ms$li[,2])
##D     par(mfrow = c(1,1))
##D 
##D     par(mfrow = c(1,2))
##D     w1 <- -maf.coa$li[,1:2]
##D     w1m <- apply(w1, 2, lag.listw, x = maf.listw)
##D     s.match(w1, w1m, clab = 0.75)
##D     w1.ms <- maf.coa.ms$li[,1:2]
##D     w1.msm <- apply(w1.ms, 2, lag.listw, x = maf.listw)
##D     s.match(w1.ms, w1.msm, clab = 0.75)
##D     par(mfrow = c(1,1))
##D 
##D     maf.pca <- dudi.pca(mafragh$mil, scannf = FALSE)
##D     multispati.randtest(maf.pca, maf.listw)
##D     maf.pca.ms <- multispati(maf.pca, maf.listw, scannf=FALSE)
##D     plot(maf.pca.ms)
##D }
## End(Not run)


