### Name: tintoodiel
### Title: Tinto and Odiel estuary geochemistry
### Aliases: tintoodiel
### Keywords: datasets

### ** Examples

data(tintoodiel)

## Not run: 
##D if (require(pixmap, quiet = TRUE)){
##D estuary.pnm <- read.pnm(system.file("pictures/tintoodiel.pnm",
##D     package = "ade4"))
##D s.label(tintoodiel$xy,pixmap = estuary.pnm, neig = tintoodiel$neig,
##D     clab = 0, cpoi = 2, cneig = 3, addax = FALSE, cgrid = 0, grid = FALSE)
##D }
## End(Not run)

estuary.pca <- dudi.pca(tintoodiel$tab, scan = FALSE, nf = 4)
if (require(maptools, quiet = TRUE) & require(spdep, quiet = TRUE)) {
estuary.listw <- nb2listw(neig2nb(tintoodiel$neig))
estuary.pca.ms <- multispati(estuary.pca, estuary.listw, scan = FALSE,
    nfposi = 3,nfnega = 2)
summary(estuary.pca.ms)
par(mfrow = c(1,2))
barplot(estuary.pca$eig)
barplot(estuary.pca.ms$eig)
par(mfrow = c(1,1))
}



